﻿body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: LIK-Regular, sans-serif !important;
    overflow-x: hidden;
}

@font-face {
    font-family: 'LIK-Regular';
    src: url('/lib/fonts/LIK-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

.about {
    margin-left: 110px;
    opacity: 0;
    animation: animate 1s ease-in-out 1.2s 1 forwards;
}

.h2-title {
    color: #fff;
    padding: 5px 10px;
    border-radius: 4px;
    font-weight: bold;
    text-shadow: -2px -2px 0 var(--primary), 2px -2px 0 var(--primary), -2px 2px 0 var(--primary), 2px 2px 0 var(--primary), -2px 0 0 var(--primary), 2px 0 0 var(--primary), 0 2px 0 var(--primary), 0 -2px 0 var(--primary);
    font-size: 28px;
    text-decoration: none;
    margin-top: 20px;
    cursor: default;
}

h2 {
    color: var(--primary);
}

header {
    width: 100%;
    color: white;
    padding-bottom: 1px;
    text-align: center;
    position: static;
    margin-bottom: 50px;
}

.navbar-cheader {
    display: flex;
    background-color: #760e26;
    justify-content: space-between;
}

nav {
    display: flex;
    background-color: rgb(245, 245, 245);
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.28);
    width: 100%;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    border-radius: 0 0 16px 16px;
    box-sizing: border-box;
    padding: 10px 20px;
}

    nav a, .nav-btn a {
        position: relative;
        display: inline-block;
        padding: 10px 20px;
        font-family: LIK-Regular, sans-serif;
        font-size: 18px;
        font-weight: 600;
        text-decoration: none;
        transition: transform 0.3s ease, color 0.4s ease;
        z-index: 1;
    }

    nav a {
        color: var(--primary);
    }

.nav-btn a {
    color: white;
    background-color: var(--primary);
    border-radius: 8px;
}

nav a::before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    height: 100%;
    width: 0%;
    background-color: var(--primary);
    transition: width 0.4s ease;
    z-index: -1;
    border-radius: 4px;
}

nav a:hover::before {
    width: 100%;
}

nav a:hover {
    color: white;
}

.left-nav, .right-nav, .nav-btn {
    display: flex;
    align-items: center;
    gap: 15px;
}



/*.left-nav {
    display: flex;
    flex-wrap: nowrap;
    gap: 10px;
}

.right-nav {
    display: flex;
    flex-wrap: nowrap;
    padding-right: 20px;
}*/

@media screen and (max-width: 1366px) {
    .nav-btn {
        margin-right: 20px;
    }

    nav a {
        font-size: 18px;
        padding: 10px 15px;
    }
}

@media screen and (max-width: 1024px) {
    nav {
        justify-content: center;
        gap: 10px;
    }

    .nav-btn {
        margin-right: 0;
    }

    nav a {
        top: 15px;
        font-size: 16px;
    }

    .nav-btn a {
        top: 5px;
    }
}

@media screen and (max-width: 768px) {
    nav {
        flex-direction: column;
        align-items: center;
        padding-bottom: 20px;
    }

    .left-nav, .right-nav, .nav-btn {
        flex-direction: column;
        width: 100%;
        text-align: center;
        gap: 5px;
    }

        nav a, .nav-btn a {
            top: 0;
            width: 90%;
            margin: 5px auto;
            font-size: 17px;
        }


            nav a::before {
                height: 100%;
            }
}

section img {
    max-width: 700px;
    height: 450px;
    display: flex;
}


.arrow {
    font-size: 52px;
    color: var(--primary);
    position: absolute;
    bottom: 20px;
    left: 50%;
    cursor: pointer;
    transition: transform 0.3s, color 0.3s;
    text-decoration: none;
    transform-origin: center;
}

.carousel {
    overflow: hidden;
    position: relative;
}

.header-text {
    color: var(--primary);
    font-size: 30px;
    padding-left: 1em;
    margin-top: auto;
    margin-bottom: auto;
}

.logo-hole {
    width: 90px;
    height: auto;
    border-radius: 16px;
    display: flex;
    justify-content: center;
    z-index: 9999;
    overflow: hidden;
    background-size: contain;
    background-position: center;
    cursor: pointer;
}

    .logo-hole.hide {
        opacity: 0;
        pointer-events: none;
    }

    .logo-hole:hover {
        box-shadow: 0 0 10px #f1f1f1;
        transform: translate(-1px, -1px);
    }

    .logo-hole img {
        width: 70px;
        height: 90px;
        object-fit: contain;
    }

.hide {
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.3s ease;
}



.carousel .list .item {
    position: absolute;
    padding: 20px;
    border-radius: 20px;
    box-shadow: 0 25px 50px rgba(0, 0, 0, 0.3);
    background-position: 50% 50%;
    background-repeat: no-repeat;
    background-size: cover;
    z-index: 100;
    transition: 1s;
}

    .carousel .list .item::before {
        content: "";
        position: absolute;
        inset: 0;
        background: rgba(10, 10, 10, 0.5);
        z-index: 1;
    }


    .carousel .list .item > * {
        position: relative;
        z-index: 2;
    }



    .carousel .list .item:nth-child(1),
    .carousel .list .item:nth-child(2) {
        top: 0;
        left: 0;
        transform: translate(0, 0);
        border-radius: 0;
        width: 100%;
        height: 100%;
    }

    .carousel .list .item:nth-child(3) {
        left: 67%;
    }

    .carousel .list .item:nth-child(4) {
        left: calc(67% + 200px);
    }

    .carousel .list .item:nth-child(5) {
        left: calc(67% + 400px);
    }

    .carousel .list .item:nth-child(6) {
        left: calc(67% + 600px);
    }

    .carousel .list .item:nth-child(n+7) {
        left: calc(67% + 800px);
        opacity: 0;
    }

.list .item .content {
    position: absolute;
    top: 50%;
    left: 100px;
    transform: translateY(-50%);
    width: 100px;
    text-align: left;
    color: #fff;
    display: none;
}

.list .item:nth-child(2) .content {
    display: block;
}

.content .title {
    font-size: 50px;
    text-transform: uppercase;
    color: #fff;
    font-weight: bold;
    line-height: 1;
    text-shadow: 6px 7px 7px var(--primary);
    opacity: 0;
    animation: animate 1s ease-in-out 0.3s 1 forwards;
}

.content .name {
    font-size: 70px;
    text-transform: uppercase;
    font-weight: bold;
    line-height: 1;
    text-shadow: 3px 4px 4px var(--primary);
    color: #fff;
    opacity: 0;
    animation: animate 1s ease-in-out 0.6s 1 forwards;
}

.content .des {
    margin-top: 10px;
    margin-bottom: 20px;
    border-radius: 16px;
    font-size: 22px;
    margin-left: 5px;
    background-color: rgba(138, 135, 136, 0.7);
    font-weight: bold;
    padding: 15px 20px;
    min-width: 600px;
    box-shadow: 0 0 10px rgba(255, 255, 255, 0.8);
    opacity: 0;
    animation: animate 1s ease-in-out 0.9s 1 forwards;
    text-decoration: none;
    color: inherit;
    display: block;
    color: white;
}

.des-link,
.des-link:visited,
.des-link:active {
    text-decoration: none;
    color: inherit;
}


    .des-link:hover {
        text-decoration: none;
    }

.content .btn button {
    padding: 14px 26px;
    cursor: pointer;
    font-size: 18px;
    font-weight: bold;
    border-radius: 10px;
    transition: transform 0.3s ease, box-shadow 0.3s ease, background-color 0.3s ease, color 0.3s ease, border-color 0.3s ease;
}

    .content .btn button:nth-child(1),
    .content .btn button:nth-child(2) {
        background-color: rgba(var(--primary-rgb), 0.4);
        color: #fff;
        border: 3px solid #fff;
        transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out, color 0.3s ease-in-out, border-color 0.3s ease-in-out;
        font-weight: bold;
        font-size: 20px;
        text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5);
    }


    .content .btn button:nth-child(1) {
        margin-right: 15px;
    }

    .content .btn button:nth-child(2) {
        margin-left: 10px;
    }


        .content .btn button:nth-child(1):hover,
        .content .btn button:nth-child(2):hover {
            box-shadow: 0 0 14px 4px #ffffff;
            background-color: rgba(var(--primary-rgb), 0.4);
            color: #fff;
            border-color: #ffffff;
            cursor: pointer;
        }

.btn-link {
    display: inline-block;
    width: 140px;
    padding: 14px 26px;
    cursor: pointer;
    font-size: 18px;
    font-weight: bold;
    border-radius: 10px;
    background-color: rgba(10,10,10, 0.7);
    color: #fff;
    border: 3px solid #fff;
    text-decoration: none;
    text-align: center;
}

    .btn-link:hover {
        background-color: #760e36;
        transform: translate(-1px, -1px);
        color: #fff;
        border-color: #ffffff;
    }


@keyframes animate {

    from {
        opacity: 0;
        transform: translate(0, 100px);
        filter: blur(33px);
    }

    to {
        opacity: 1;
        transform: translate(0);
        filter: blur(0);
    }
}

.scroll-down-arrow {
    position: absolute;
    bottom: 80px;
    left: 47.5%;
    transform: translateX(-50%);
    font-size: 52px;
    color: #fff;
    z-index: 9999;
    text-decoration: none;
    opacity: 1;
    visibility: visible;
    display: block;
    transition: transform 0.3s, color 0.3s;
    animation: bounce 2s 1;
    pointer-events: auto;
    cursor: pointer;
    transform-origin: center;
}

    .scroll-down-arrow:hover {
        color: #760e36;
        overflow-wrap: break-word;
        text-shadow: 0 0 4px #fff, 0 0 8px #fff, 0 0 12px #fff, 0 0 16px #fff, 0 0 20px #fff, 0 0 24px #fff, 0 0 28px #fff;
        max-width: 70ch;
    }


/* Responsive Design */

@media screen and (max-width: 999px) {

    header {
        padding-left: 50px;
    }

    .list .item .content {
        left: 50px;
    }

    .content .title, .content .name {
        font-size: 70px;
    }

    .content .des {
        font-size: 16px;
    }
}

@media screen and (max-width: 690px) {
    header nav a {
        font-size: 14px;
        margin-right: 0;
    }

    .list .item .content {
        top: 40%;
    }

    .content .title, .content .name {
        font-size: 45px;
    }

    .content .btn button {
        padding: 10px 15px;
        font-size: 14px;
    }
}

.carousel .list .item:nth-child(n+3) {
    display: none;
}

html {
    scroll-behavior: smooth;
}

.burger {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    gap: 6px;
    z-index: 1001;
    position: fixed;
    top: 8px;
    right: 10px;
    width: 40px;
    height: 30px;
    border-radius: 20px;
}

    .burger span {
        height: 4px;
        width: 30px;
        background-color: #fff !important;
        border-radius: 2px;
        display: block;
        box-shadow: 1px 2px 3px 2px rgba(118, 14, 38, 0.3);
    }

        .burger span:hover {
            box-shadow: 2px 3px 4px 2px rgba(118, 14, 38);
        }


#fullscreen-menu {
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    width: 100vw;
    color: white;
    display: none;
    flex-direction: column;
    padding: 40px;
    gap: 30px;
    z-index: 99999;
    flex-direction: column;
    align-items: center;
    overflow-y: auto;
}

    #fullscreen-menu.show {
        display: flex;
    }

.menu-section {
    width: 100%;
    background-color: rgba(156, 84, 102, 0.98);
    padding: 10px;
    border-radius: 16px;
    margin: auto auto;
    box-sizing: border-box;
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
    row-gap: 50px;
    column-gap: 150px;
}

#fullscreen-menu h2 {
    color: #fff;
    text-shadow: 2px 2px 7px var(--primary);
    font-weight: bold;
}

.one-section {
    border: 2px solid var(--background-light);
    border-radius: 16px;
    justify-self: start;
    max-width: 400px;
    width: 350px;
    /*    margin-left: 300px;*/
    /*    height: 350px;*/
    padding-top: 50px;
    padding-left: 80px;
    padding-right: 80px;
    padding-bottom: 50px;
}

    .one-section ul li a {
        display: block;
        text-align: left;
        position: relative;
        top: 0;
    }

.menu-section h2 {
    font-size: 28px;
    margin-bottom: 15px;
    border-bottom: 1px solid #fff;
    padding-bottom: 10px;
    text-transform: uppercase;
}

.menu-section ul {
    list-style: none;
    padding: 10px;
    margin: 0;
}

.menu-section li {
    margin-bottom: 10px;
}

.menu-section a {
    color: #fff;
    text-decoration: none;
    font-size: 18px;
    transition: color 0.3s ease;
    text-align: center;
}

    .menu-section a:hover {
        color: var(--primary);
    }

.close-btn {
    position: fixed;
    top: 25px;
    right: 50px;
    font-size: 40px;
    cursor: pointer;
    color: white;
}

/*#fullscreen-menu.show ~ .timeRunning {
    display: none !important;
}*/

.menu-section a {
    padding: 5px;
}

    .menu-section a::before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        height: 100%;
        width: 0%;
        background-color: white;
        transition: width 0.4s ease;
        z-index: -1;
    }

    .menu-section a:hover::before {
        width: 100%;
    }

    .menu-section a:hover {
        color: var(--primary);
    }

@media (max-width: 768px) {
    .burger {
        display: flex;
    }

    nav {
        display: none;
    }
}


.hidden {
    display: none !important;
}

#fullscreen-menu.show ~ a.arrow {
    display: none !important;
}

.menu-section .fullscreen-menu.show.arrow {
    display: none;
}

#fullscreen-menu.show ~ .logo-hole {
    display: none !important;
}

.goog-te-banner-frame {
    display: none !important;
}

iframe[id^="goog-"], iframe.goog-te-banner-frame, .goog-te-banner-frame {
    display: none !important;
    visibility: hidden !important;
    height: 0 !important;
    width: 0 !important;
    overflow: hidden !important;
}

body {
    top: 0 !important;
    position: static !important;
}

.nav-btn a {
    position: relative;
    top: 10px;
    display: inline-block;
    padding: 10px 20px;
    color: white;
    font-size: 20px;
    font-weight: 600;
    text-decoration: none;
    overflow: hidden;
    transition: transform 0.3s ease, color 0.4s ease;
    z-index: 1;
}

    .nav-btn a::before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        height: 60%;
        width: 0%;
        background-color: #fff;
        transition: width 0.4s ease;
        z-index: -1;
    }

    .nav-btn a:hover::before {
        width: 100%;
    }

    .nav-btn a:hover {
        color: #760e26;
    }
